- [HTTP request](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#body.aspect_1)
- [Examples](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#examples)
- [Try it!](https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets/patch#try-it)

Applies a partial update to an existing ResourceRecordSet.

### HTTP request

`PATCH https://dns.googleapis.com/dns/v1/projects/{project}/managedZones/{managedZone}/rrsets/{name}/{type}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Identifies the project addressed by this request. |
| `managedZone` | `string` Identifies the managed zone addressed by this request. Can be the managed zone name or ID. |
| `name` | `string` Fully qualified domain name. |
| `type` | `string` RRSet type. |

### Query parameters

| Parameters ||
|---|---|
| `clientOperationId` | `string` For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets#ResourceRecordSet`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dns/docs/reference/rest/v1/resourceRecordSets#ResourceRecordSet`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/ndev.clouddns.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `project` resource:

- `dns.changes.create`
- `dns.resourceRecordSets.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).